glmark2 crashed on tracking-panda#145

Reported by Yongqin Liu on 2012-01-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Android
Medium
Chengjie HE
linaro-landing-team-ti
Won't Fix
Undecided
Unassigned

Bug Description

when run glmark2 on tracking-panda#145 (Settings->System->Developer options->Stay awake has been checked),
it crashed during execution.
below is the information of logcat
-----------------------------------------------------------
$ cat /tmp/logcat.log
--------- beginning of /dev/log/main
01-01 00:35:44.516 D/AndroidRuntime( 2347):
01-01 00:35:44.516 D/AndroidRuntime( 2347): >>>>>> AndroidRuntime START com.android.internal.os.RuntimeInit <<<<<<
01-01 00:35:44.516 D/AndroidRuntime( 2347): CheckJNI is ON
01-01 00:35:44.922 I/ethernet( 2347): Loading ethernet jni class
01-01 00:35:44.985 D/AndroidRuntime( 2347): Calling main entry com.android.commands.am.Am
--------- beginning of /dev/log/system
01-01 00:35:44.993 I/ActivityManager( 1416): START {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10000000 cmp=org.linaro.glmark2/.Glmark2Activity} from pid 2347
01-01 00:35:45.157 I/PackageManager( 1416): Running dexopt on: org.linaro.glmark2
01-01 00:35:45.157 I/ActivityManager( 1416): Start proc org.linaro.glmark2 for activity org.linaro.glmark2/.Glmark2Activity: pid=2357 uid=10032 gids={}
01-01 00:35:45.266 D/dalvikvm( 2370): DexOpt: load 23ms, verify+opt 6ms
01-01 00:35:45.719 W/NetworkManagementSocketTagger( 1416): setKernelCountSet(10032, 1) failed with errno -2
01-01 00:35:45.860 D/OpenGLRenderer( 1785): Flushing caches (mode 1)
01-01 00:35:46.063 D/libEGL ( 2357): loaded /system/lib/egl/libGLES_android.so
01-01 00:35:46.063 D/libEGL ( 2357): loaded /vendor/lib/egl/libEGL_POWERVR_SGX540_120.so
01-01 00:35:46.094 D/libEGL ( 2357): loaded /vendor/lib/egl/libGLESv1_CM_POWERVR_SGX540_120.so
01-01 00:35:46.102 D/libEGL ( 2357): loaded /vendor/lib/egl/libGLESv2_POWERVR_SGX540_120.so
01-01 00:35:46.102 D/OpenGLRenderer( 1785): Flushing caches (mode 0)
01-01 00:35:46.430 I/ActivityManager( 1416): Displayed org.linaro.glmark2/.Glmark2Activity: +1s341ms
01-01 00:35:46.430 D/AndroidRuntime( 2347): Shutting down VM
01-01 00:35:46.438 I/AndroidRuntime( 2347): NOTE: attach of thread 'Binder Thread #3' failed
01-01 00:35:46.469 D/dalvikvm( 2347): GC_CONCURRENT freed 104K, 81% free 490K/2560K, paused 0ms+8ms
01-01 00:35:46.469 D/jdwp ( 2347): Got wake-up signal, bailing out of select
01-01 00:35:46.469 D/dalvikvm( 2347): Debugger has detached; object registry had 1 entries
01-01 00:35:46.508 W/NetworkManagementSocketTagger( 1416): setKernelCountSet(10028, 0) failed with errno -2
01-01 00:35:46.618 I/glmark2 ( 2357): glmark2 2011.12
01-01 00:35:46.618 I/glmark2 ( 2357): OpenGL Information
01-01 00:35:46.618 I/glmark2 ( 2357): GL_VENDOR: Imagination Technologies
01-01 00:35:46.618 I/glmark2 ( 2357): GL_RENDERER: PowerVR SGX 540
01-01 00:35:46.618 I/glmark2 ( 2357): GL_VERSION: OpenGL ES 2.0 build 1.8@550175
01-01 00:35:50.329 W/GraphicBufferMapper( 2357): unregisterBuffer(0x202e88) failed -14 (Bad address)
01-01 00:35:52.438 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:35:55.594 W/GraphicBufferMapper( 2357): unregisterBuffer(0x202e88) failed -14 (Bad address)
01-01 00:35:57.126 W/GraphicBufferMapper( 2357): unregisterBuffer(0x202e88) failed -14 (Bad address)
01-01 00:35:57.141 I/glmark2 ( 2357): [build] use-vbo=false: FPS: 8
01-01 00:35:57.836 W/GraphicBufferMapper( 2357): unregisterBuffer(0x202e88) failed -14 (Bad address)
01-01 00:35:58.641 W/GraphicBufferMapper( 2357): unregisterBuffer(0x202e88) failed -14 (Bad address)
01-01 00:35:59.641 W/GraphicBufferMapper( 2357): unregisterBuffer(0x207ce0) failed -14 (Bad address)
01-01 00:36:02.508 W/GraphicBufferMapper( 2357): unregisterBuffer(0x207ce0) failed -14 (Bad address)
01-01 00:36:04.360 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1e0008) failed -14 (Bad address)
01-01 00:36:05.305 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:36:06.649 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1f4c18) failed -14 (Bad address)
01-01 00:36:07.508 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1f4c18) failed -14 (Bad address)
01-01 00:36:07.532 I/glmark2 ( 2357): [build] use-vbo=true: FPS: 7
01-01 00:36:08.063 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1f4c18) failed -14 (Bad address)
01-01 00:36:14.313 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1f4c18) failed -14 (Bad address)
01-01 00:36:15.118 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1f4c18) failed -14 (Bad address)
01-01 00:36:18.282 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:36:18.501 I/glmark2 ( 2357): [texture] texture-filter=nearest: FPS: 9
01-01 00:36:23.540 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1b21c0) failed -14 (Bad address)
01-01 00:36:27.094 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1b21c0) failed -14 (Bad address)
01-01 00:36:28.313 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1b21c0) failed -14 (Bad address)
01-01 00:36:28.891 I/glmark2 ( 2357): [texture] texture-filter=linear: FPS: 8
01-01 00:36:31.126 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:36:31.165 W/GraphicBufferMapper( 2357): unregisterBuffer(0x201a70) failed -14 (Bad address)
01-01 00:36:33.501 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1ceeb8) failed -14 (Bad address)
01-01 00:36:35.360 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1ceeb8) failed -14 (Bad address)
01-01 00:36:36.696 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1ceeb8) failed -14 (Bad address)
01-01 00:36:38.868 W/GraphicBufferMapper( 2357): unregisterBuffer(0x18f460) failed -14 (Bad address)
01-01 00:36:39.336 I/glmark2 ( 2357): [texture] texture-filter=mipmap: FPS: 7
01-01 00:36:41.086 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:43.485 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:44.118 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:36:44.501 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:45.219 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:45.860 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:47.391 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:48.204 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:48.774 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:49.344 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:50.008 I/glmark2 ( 2357): [shading] shading=gouraud: FPS: 5
01-01 00:36:52.282 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:52.930 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:55.602 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:56.915 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:36:57.024 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:36:58.391 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:00.547 I/glmark2 ( 2357): [shading] shading=blinn-phong-inf: FPS: 9
01-01 00:37:02.922 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:03.501 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:04.883 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:05.672 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:06.899 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:07.610 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:08.829 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:10.032 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:37:11.047 W/GraphicBufferMapper( 2357): unregisterBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:11.165 I/glmark2 ( 2357): [shading] shading=phong: FPS: 7
01-01 00:37:11.915 W/GraphicBufferMapper( 2357): registerBuffer(0x1db450) failed -14 (Bad address)
01-01 00:37:11.915 F/libc ( 2357): Fatal signal 11 (SIGSEGV) at 0x00000000 (code=1)
01-01 00:37:12.336 I/DEBUG ( 1291): *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
01-01 00:37:12.336 I/DEBUG ( 1291): Build fingerprint: 'pandaboard/pandaboard/pandaboard:4.0.3/IML74K/145:eng/test-keys'
01-01 00:37:12.336 I/DEBUG ( 1291): pid: 2357, tid: 2371 >>> org.linaro.glmark2 <<<
01-01 00:37:12.336 I/DEBUG ( 1291): signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 00000000
01-01 00:37:12.336 I/DEBUG ( 1291): r0 00000000 r1 00000000 r2 00000000 r3 00000000
01-01 00:37:12.336 I/DEBUG ( 1291): r4 5b3d0af0 r5 5b3d0b1c r6 000002a2 r7 00000000
01-01 00:37:12.336 I/DEBUG ( 1291): r8 58f78390 r9 00000300 10 002cfb24 fp 000002a3
01-01 00:37:12.336 I/DEBUG ( 1291): ip 5afbc08c sp 5b3d0aa0 lr 4005ea34 pc 58f6ff5c cpsr 60000110
01-01 00:37:12.336 I/DEBUG ( 1291): d0 7149f2ca7149f2ca d1 42ff00007149f2ca
01-01 00:37:12.336 I/DEBUG ( 1291): d2 0000078000000b62 d3 0000000400000434
01-01 00:37:12.336 I/DEBUG ( 1291): d4 0000000000000000 d5 0000ac5000000001
01-01 00:37:12.336 I/DEBUG ( 1291): d6 0000000000000000 d7 7149f2ca3f000000
01-01 00:37:12.336 I/DEBUG ( 1291): d8 0000000000000000 d9 0000000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d10 0000000000000000 d11 0000000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d12 0000000000000000 d13 0000000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d14 0000000000000000 d15 0000000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d16 8000000000000000 d17 0000000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d18 41cc36a61be0c7fc d19 4024000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d20 be1b7b1004882ca3 d21 3ff0000000000000
01-01 00:37:12.336 I/DEBUG ( 1291): d22 3c4799844ad0a6b4 d23 3fc999999999999a
01-01 00:37:12.336 I/DEBUG ( 1291): d24 4024000000000000 d25 bf56c087dee39ef4
01-01 00:37:12.336 I/DEBUG ( 1291): d26 4000000000000000 d27 3f811110896efbb2
01-01 00:37:12.336 I/DEBUG ( 1291): d28 bfdffffffd0c5e81 d29 4197d78400000000
01-01 00:37:12.336 I/DEBUG ( 1291): d30 0000000000000000 d31 3fe000006b49d200
01-01 00:37:12.336 I/DEBUG ( 1291): scr 20000013
01-01 00:37:12.336 I/DEBUG ( 1291):
01-01 00:37:12.626 I/DEBUG ( 1291): #00 pc 00000f5c /system/vendor/lib/libpvrANDROID_WSEGL.so
01-01 00:37:12.626 I/DEBUG ( 1291): #01 pc 00011a30 /system/lib/libc.so (pthread_mutex_unlock)
01-01 00:37:12.626 I/DEBUG ( 1291):
01-01 00:37:12.626 I/DEBUG ( 1291): code around pc:
01-01 00:37:12.626 I/DEBUG ( 1291): 58f6ff3c e2099c13 e58d9000 e1a0e00f e598f0c0 ................
01-01 00:37:12.626 I/DEBUG ( 1291): 58f6ff4c e3500000 1a000059 e59d3010 e594100c ..P.Y....0......
01-01 00:37:12.626 I/DEBUG ( 1291): 58f6ff5c e5932000 e3510006 e5842010 e5932008 . ....Q.. ... ..
01-01 00:37:12.626 I/DEBUG ( 1291): 58f6ff6c e5843018 e5842014 059d3014 05933008 .0... ...0...0..
01-01 00:37:12.626 I/DEBUG ( 1291): 58f6ff7c 05843020 e3190a01 0a000006 e59f316c 0..........l1..
01-01 00:37:12.626 I/DEBUG ( 1291):
01-01 00:37:12.626 I/DEBUG ( 1291): code around lr:
01-01 00:37:12.626 I/DEBUG ( 1291): 4005ea14 08bd81f0 e5964000 e5967000 e2144903 .....@...p...I..
01-01 00:37:12.626 I/DEBUG ( 1291): 4005ea24 1a00000e f57ff05f e5965000 ebffeec7 ...._....P......
01-01 00:37:12.626 I/DEBUG ( 1291): 4005ea34 e2055a02 e3853001 e1500003 01a00004 .Z...0....P.....
01-01 00:37:12.626 I/DEBUG ( 1291): 4005ea44 08bd81f0 e5865000 e1a00006 e1a01005 .....P..........
01-01 00:37:12.626 I/DEBUG ( 1291): 4005ea54 e3a02001 ebfffe16 e1a00004 e8bd81f0 . ..............
01-01 00:37:12.626 I/DEBUG ( 1291):
01-01 00:37:12.626 I/DEBUG ( 1291): stack:
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a60 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a64 000002a3
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a68 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a6c 5b3d0ab0
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a70 58f78468 /system/vendor/lib/hw/gralloc.omap4.so
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a74 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a78 000002a3
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a7c 5af9fbcc /system/vendor/lib/libsrv_um.so
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a80 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a84 58f75700 /system/vendor/lib/hw/gralloc.omap4.so
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a88 5b3d0af0
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a8c 5b3d0b1c
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a90 000002a2
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a94 58f78390 /system/vendor/lib/hw/gralloc.omap4.so
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a98 df0027ad
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0a9c 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): #01 5b3d0aa0 00000300
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0aa4 5b3d0ab0
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0aa8 5b3d0b08
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0aac 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ab0 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ab4 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ab8 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0abc 40061c29 /system/lib/libc.so
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ac0 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ac4 5b3d0b08
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ac8 00000000
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0acc 5b3d0b78
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ad0 002162e8 [heap]
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ad4 00173880 [heap]
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ad8 00000001
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0adc 00202378 [heap]
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ae0 58f58f50
01-01 00:37:12.626 I/DEBUG ( 1291): 5b3d0ae4 00000008
01-01 00:37:14.258 I/DEBUG ( 1291): debuggerd committing suicide to free the zombie!
01-01 00:37:14.258 I/DEBUG ( 3308): debuggerd: Jan 12 2012 22:09:25
01-01 00:37:14.321 W/NetworkManagementSocketTagger( 1416): setKernelCountSet(10032, 0) failed with errno -2
01-01 00:37:14.321 I/WindowManager( 1416): WIN DEATH: Window{410e5520 SurfaceView paused=false}
01-01 00:37:14.321 I/ActivityManager( 1416): Process org.linaro.glmark2 (pid 2357) has died.
01-01 00:37:14.321 W/ActivityManager( 1416): Force removing ActivityRecord{4114f630 org.linaro.glmark2/.Glmark2Activity}: app died, no saved state
01-01 00:37:14.329 W/InputDispatcher( 1416): channel '410e2760 org.linaro.glmark2/org.linaro.glmark2.Glmark2Activity (server)' ~ Consumer closed input channel or an error occurred. events=0x8
01-01 00:37:14.329 E/InputDispatcher( 1416): channel '410e2760 org.linaro.glmark2/org.linaro.glmark2.Glmark2Activity (server)' ~ Channel is unrecoverably broken and will be disposed!
01-01 00:37:14.329 W/InputDispatcher( 1416): Attempted to unregister already unregistered input channel '410e2760 org.linaro.glmark2/org.linaro.glmark2.Glmark2Activity (server)'
01-01 00:37:14.329 W/NetworkManagementSocketTagger( 1416): setKernelCountSet(10028, 1) failed with errno -2
01-01 00:37:14.329 I/WindowManager( 1416): WIN DEATH: Window{410e2760 org.linaro.glmark2/org.linaro.glmark2.Glmark2Activity paused=false}
01-01 00:37:14.329 I/WindowManager( 1416): WINDOW DIED Window{410e2760 org.linaro.glmark2/org.linaro.glmark2.Glmark2Activity paused=false}
01-01 00:37:14.415 D/Zygote ( 1294): Process 2357 terminated by signal (11)
01-01 00:37:14.469 W/InputManagerService( 1416): Got RemoteException sending setActive(false) notification to pid 2357 uid 10032
01-01 00:37:23.110 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:37:32.696 D/AndroidRuntime( 3402):
01-01 00:37:32.696 D/AndroidRuntime( 3402): >>>>>> AndroidRuntime START com.android.internal.os.RuntimeInit <<<<<<
01-01 00:37:32.696 D/AndroidRuntime( 3402): CheckJNI is ON
01-01 00:37:32.938 I/ethernet( 3402): Loading ethernet jni class
01-01 00:37:33.008 D/AndroidRuntime( 3402): Calling main entry com.android.commands.pm.Pm
01-01 00:37:33.172 D/AndroidRuntime( 3402): Shutting down VM
01-01 00:37:33.188 D/dalvikvm( 3402): GC_CONCURRENT freed 226K, 82% free 481K/2560K, paused 1ms+0ms
01-01 00:37:33.188 D/dalvikvm( 3402): Debugger has detached; object registry had 1 entries
01-01 00:37:33.188 I/AndroidRuntime( 3402): NOTE: attach of thread 'Binder Thread #3' failed
01-01 00:37:33.196 D/dalvikvm( 1416): GC_CONCURRENT freed 577K, 19% free 8646K/10567K, paused 3ms+19ms
01-01 00:37:36.165 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:37:49.258 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:38:02.352 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:38:15.610 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:38:29.399 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:38:42.719 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:38:55.954 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:39:09.633 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:39:22.688 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:39:35.852 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:39:49.165 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:40:02.719 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:40:15.641 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:40:29.063 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:40:42.258 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
01-01 00:40:55.922 I/bluedroid( 1416): bt_enable: ret: -1, errno: 5
(workspace)21:10:14 liuyq:tracking-panda$

Alexander Sack (asac) wrote :

Question: does ICS come up to full UI even though you see this issue?

Can you confirm if this issue also happens on staging-panda?

Alexander Sack (asac) wrote :

Note: risk of release fitness for the tracking- build .... next need to check the tree used by staging-

Alexander Sack (asac) wrote :

yong confirmed on IRC that the landing-panda build (using AOSP kernel) doesn't show this problem.

Alexander Sack (asac) wrote :

subscribed linaro-release to monitor and eval release fitness impact once all the info is here ...

Alexander Sack (asac) wrote :

turned out landing-panda also has a crash: bug 916014

... if those are related things point to a general driver issue and not a tracking tree regression.

Yong, do we see more crashes on landing vs. tracking? ... or are both images the same?

Alexander Sack (asac) wrote :

sorry. above i wanted to point to bug 916074

On 14 January 2012 18:28, Alexander Sack <email address hidden> wrote:

> turned out landing-panda also has a crash: bug 916014
>
> ... if those are related things point to a general driver issue and not
> a tracking tree regression.
>
> Yong, do we see more crashes on landing vs. tracking? ... or are both
> images the same?
>
 tracking nearly has no completely successful test in my experience.
and landing has only a few failed times.

warmcat (andy-warmcat) wrote :

Hm... so in other words, it's already broken on the AOSP omap tree we copied it from into tilt tracking kernel.

vishal (vishalbhoj) wrote :

Andy,

I don't agree that aosp tree has issue. I have run GLMark2 on landing-panda build and have not seen any crash. This seems to be a bug with the port of the sgx driver into tracking kernel . There is one more bug https://bugs.launchpad.net/linaro-android/+bug/912651 which is observed only on tilt tracking kernel .

warmcat (andy-warmcat) wrote :

But Yongqin is reporting above he has seen the test fail 'a few times' on the AOSP omap kernel. It seems reasonable to draw from that they both have the problem. You're telling Yongqin what he reported is wrong?

Since our porting process is to devolve dss to 3.0.1 state then set it to what's in AOSP omap kernel, it'd be more surprising if they didn't share all the features and flaws in what was ported.

In any event AOSP kernel is 3.0 based with no linaro content in it, eventually it will become obvious just building aosp pamda rootfs and kernel and putting it out is not adding any value.

Yongqin Liu (liuyq0307) wrote :

I ran GLMark2 5 times on landing-panda#31,
all of them are successful. no crash has occurred.

Alexander Sack (asac) wrote :

OK, seems landing-panda is fixed. not sure if aosp kernel landed any patches in last few days that might have fixed it.

Changed in linaro-android:
importance: Undecided → Medium
Anmar Oueja (anmar) wrote :

Vishal: Can you please confirm asac's comment (#13)

tags: added: glmark2 linaro-android
Zach Pfeffer (pfefferz) on 2012-04-24
Changed in linaro-android:
milestone: none → 12.05
assignee: nobody → Chengjie HE (chengjie-he)
Zach Pfeffer (pfefferz) on 2012-05-01
Changed in linaro-android:
milestone: 12.05 → none
warmcat (andy-warmcat) on 2012-06-14
Changed in linaro-landing-team-ti:
status: New → Won't Fix
Botao Sun (botao-sun) wrote :

Can't run GLMark2 on Panda 4430 with Linaro Android image:

https://android-build.linaro.org/builds/~linaro-android/panda-ics-gcc47-tilt-tracking-blob/#build=105

After launch the app, it pops up a window & shows:

Glmark2 cannot run because it couldn't find a suitable EGLConfig for GLES2.0. Please check that proper GLES2.0 drivers are installed.

warmcat (andy-warmcat) wrote :

Right, post- 3.2 there is no SGX driver for accelerated video, it's just running framebuffer. So this is expected.

warmcat (andy-warmcat) wrote :

As I wrote, there is no SGX driver for accelerated video... this is expected.

I'm muting this bug and any similar closed ones that fill up with reports with no new information.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers